#!/bin/tclsh

# Skript GetHue.cgi
#
# Liest die in der variablen key angegebenen Daten von der Hue Bridge
# Liefert als Ergebnis die Werte in einer json Struktur

load tclrega.so
source once.tcl
sourceOnce cgi.tcl

cgi_eval {
  cgi_input

  set Bridge "1"
  set key "groups"

  set IP  "192.168.10.103"
  set IP2 "192.168.10.104"
  set IP3 "192.168.10.105"

  set user  "DbQ0BTotH1XUBvLjRIbxHo85rakEm0SBcSPRbVxq"
  set user2 "kl-iBh53S1DUaCNRtb5Dh4jgvxG5Y6ifg3L6Efx4"
  set user3 "3YwbkqWVdMgIzdceNj3-r-UHBhbKddp6RnXo5BjB"

  catch { import key }
  catch { import Bridge }
  if {$Bridge == "2"} {
    set IP $IP2
    set user $user2
  }
  if {$Bridge == "3"} {
    set IP $IP3
    set user $user3
  }

  puts {Content-type: application/json}
  puts {}

  set url "http://$IP/api/$user/$key"
  set res [exec wget -q -O - $url ]

  puts $res
}

